Public Class frmDienstAuswahl
    Public list As List(Of cDienstAbwesendheitenKW)
    Public kw_id As Integer = -1
    Private Sub frmDienstAuswahl_Load(sender As Object, e As EventArgs) Handles Me.Load
        For Each l In list
            DataGridView.Rows.Add(New Object() {l.dstnk_grund & ": " & l.dstnk_info, l.dstnk_id})
        Next

    End Sub

    Private Sub DataGridView_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles DataGridView.CellDoubleClick
        If DataGridView.SelectedCells.Count > 0 Then
            kw_id = DataGridView.Rows(e.RowIndex).Cells("clmnId").Value
            Me.Close()
        End If
    End Sub

End Class